Skip to content

List Models

GET
/v1/utils/models
curl --request GET \
--url https://example.com/v1/utils/models \
--header 'Authorization: Bearer <token>'

Models a task can use: decision models, then LLMs with structured outputs, each cheapest first.

Successful Response

Media typeapplication/json
Response Listmodels
Array<object>
Model
object
id
required
Id
string
name
required
Name
string
kind
required
Kind
string
Allowed values: decision llm
prompt_price
required
Prompt Price
number
completion_price
required
Completion Price
number
context_length
required
Context Length
integer

Example

[
{
"kind": "decision"
}
]